changelog 52.1 KB
Newer Older
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31
collectd (4.10.1-1+squeeze1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * debian/control:
    - Build-conflict with iptables-dev to force the use of the shipped libiptc
      (this allows building the iptables plugin on all architectures).
    - Build-depend on libltdl3-dev, rather than libltdl-dev -- the latter is
      not available in Lenny.
    - Build-depend on libsensors-dev, rather than libsensors4-dev, which is
      not available in Lenny. This limits the functionality of the "sensors"
      plugin which does not work well with libsensors3 and lm-sensors-3
      (Re-opens: #538795).
    - Build-depend on "libsnmp-dev | libsnmp9-dev" rather than specifying the
      right combination of libsnmp-dev and perl, which might confuse buildds
      on Lenny. Lenny is not affected by #559087 (see 4.8.2-1).
  * debian/collectd.conf, debian/control, debian/rules:
    - Disabled the "gmond" plugin, which requires libganglia (>= 3) which is
      not available in Lenny; removed build-dependency on libganglia-dev.
    - Disabled the "memcachec" plugin, which requires libmemcached which is
      not available in Lenny; removed build-dependency on libmemcached-dev.
    - Disabled the "tokyotyrant" plugin, which requires libtokyotyrant which
      is not available in Lenny; removed libtokyocabinet-dev and
      libtokyotyrant-dev build-dependencies.
    - Disabled the "curl_json" plugin, which requires libyajl which is not
      available in Lenny; removed libyajl-dev build-dependency.
    - Disabled the "pinba" plugin, which requires protobuf which is not
      available in Lenny; removed libprotobuf-c0-dev and protobuf-c-compiler
      build-dependencies.

 -- Sebastian Harl <tokkee@debian.org>  Tue, 21 Sep 2010 00:10:55 +0200

32
collectd (4.10.1-1+squeeze1) testing-proposed-updates; urgency=medium
33

34 35 36
  * debian/rules:
    - Added support for ‘powerpcspe’ to the Java arch mapping; thanks to
      Sebastian Andrzej Siewior for the patch (Closes: #592909).
37 38 39 40
  * debian/patches:
    - Added bts595756-notify_email-segfault -- upstream patch fixing a
      segfault in the 'notify_email' plugin; thanks to Manuel CISSE for
      reporting this (Closes: #595756).
41 42 43
    - Added bts592623-curl_json-file -- upstream patch fixing access to
      file:// URLs in the 'curl_json' plugin; thanks Baptiste Mille-Mathias
      for reporting this and pointing out the patch (Closes: #592623).
44 45 46
    - Added bts596128-reheap-fix -- upstream patch fixing the 'reheap()'
      function used to manage the "read" callbacks and making sure all plugins
      get executed correctly and in each interval (Closes: #596128).
47
  * Set urgency to "medium" because of the RC bug-fix.
48

49
 -- Sebastian Harl <tokkee@debian.org>  Sun, 12 Sep 2010 13:53:37 +0200
50

51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75
collectd (4.10.1-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * debian/control:
    - Build-conflict with iptables-dev to force the use of the shipped libiptc
      (this allows building the iptables plugin on all architectures).
    - Build-depend on libltdl3-dev, rather than libltdl-dev -- the latter is
      not available in Lenny.
    - Build-depend on libsensors-dev, rather than libsensors4-dev, which is
      not available in Lenny. This limits the functionality of the "sensors"
      plugin which does not work well with libsensors3 and lm-sensors-3
      (Re-opens: #538795).
    - Build-depend on "libsnmp-dev | libsnmp9-dev" rather than specifying the
      right combination of libsnmp-dev and perl, which might confuse buildds
      on Lenny. Lenny is not affected by #559087 (see 4.8.2-1).
  * debian/collectd.conf, debian/control, debian/rules:
    - Disabled the "gmond" plugin, which requires libganglia (>= 3) which is
      not available in Lenny; removed build-dependency on libganglia-dev.
    - Disabled the "memcachec" plugin, which requires libmemcached which is
      not available in Lenny; removed build-dependency on libmemcached-dev.
    - Disabled the "tokyotyrant" plugin, which requires libtokyotyrant which
      is not available in Lenny; removed libtokyocabinet-dev and
      libtokyotyrant-dev build-dependencies.
    - Disabled the "curl_json" plugin, which requires libyajl which is not
      available in Lenny; removed libyajl-dev build-dependency.
76 77 78
    - Disabled the "pinba" plugin, which requires protobuf which is not
      available in Lenny; removed libprotobuf-c0-dev and protobuf-c-compiler
      build-dependencies.
79

80
 -- Sebastian Harl <tokkee@debian.org>  Fri, 10 Sep 2010 22:29:17 +0200
81

82 83 84
collectd (4.10.1-1) unstable; urgency=low

  * New upstream release.
85 86 87
  * debian/patches:
    - Removed bts561577_collectd2html_recursive_fix -- applied upstream.
    - Removed bts575029-collectd2html-xhtml -- applied upstream.
88
    - Removed bts557599_powerdns_fix -- applied upstream.
89 90
  * debian/control:
    - Updated standards-version to 3.9.1 -- no changes.
91

92
 -- Sebastian Harl <tokkee@debian.org>  Wed, 28 Jul 2010 18:45:31 +0200
93

94 95
collectd (4.10.0-1) unstable; urgency=low

96 97 98 99 100 101
  * New upstream release:
    New plugins:
    - Parse XML data: curl_xml
    - Parse values from Modbus/TCP enabled devices: modbus (disabled in
      Debian; libmodbus is not available)
    - Timing values from Pinba: pinba
102 103 104
  * debian/control:
    - Build-depend on libprotobuf-c0-dev and protobuf-c-compiler required by
      the 'pinba' plugin.
105
    - Updated to standards-version 3.8.4 -- no changes.
106 107
  * debian/patches:
    - Removed bts566199_collection_hide_types -- applied upstream.
108
    - Removed typo_fixes -- applied upstream.
109 110 111
    - Added bts575029-collectd2html-xhtml, adding support for XHTML to
      collectd2html.pl; thanks to Ivan Shmakov for reporting this and Max
      Henkel and Timur Kirilichev for providing patches (Closes: #575029).
112
  * debian/rules:
113 114
    - Define (and pass to configure) $JAR, required by current versions of the
      Java bindings.
Sebastian Harl's avatar
Sebastian Harl committed
115 116
    - Added support for Renesas SH4 to the Java arch mapping; thanks to
      Nobuhiro Iwamatsu for the patch (Closes: #564165).
117 118 119 120 121
  * debian/collectd.postinst:
    - Manually replace /usr/share/doc/collectd/examples/ with a symlink when
      upgrading from versions << 4.10.0-1~ -- this is not handled by dpkg
      according to policy 6.6; thanks to Joey Hess for reporting this
      (Closes: #569268).
122 123 124
  * debian/collectd-core.overrides:
    - Override 'capitalization-error-in-description python Python' -- all
      plugin names are spelled in lower-case letters.
125

126
 -- Sebastian Harl <tokkee@debian.org>  Tue, 08 Jun 2010 00:42:56 +0200
127

128 129 130 131 132 133 134 135 136
collectd (4.9.1-2~bpo50+2) lenny-backports; urgency=low

  * debian/control:
    - Build-depend on "libsnmp-dev | libsnmp9-dev" rather than specifying the
      right combination of libsnmp-dev and perl, which might confuse buildds
      on Lenny. Lenny is not affected by #559087 (see 4.8.2-1).

 -- Sebastian Harl <tokkee@debian.org>  Thu, 08 Apr 2010 20:05:46 +0200

137 138 139
collectd (4.9.1-2~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
140 141 142
  * debian/control:
    - Build-conflict with iptables-dev to force the use of the shipped libiptc
      (this allows building the iptables plugin on all architectures).
143
    - Build-depend on libltdl3-dev, rather than libltdl-dev -- the latter is
144
      not available in Lenny.
145 146 147 148
    - Build-depend on libsensors-dev, rather than libsensors4-dev, which is
      not available in Lenny. This limits the functionality of the "sensors"
      plugin which does not work well with libsensors3 and lm-sensors-3
      (Re-opens: #538795).
149 150 151
  * debian/collectd.conf, debian/control, debian/rules:
    - Disabled the "gmond" plugin, which requires libganglia (>= 3) which is
      not available in Lenny; removed build-dependency on libganglia-dev.
152 153
    - Disabled the "memcachec" plugin, which requires libmemcached which is
      not available in Lenny; removed build-dependency on libmemcached-dev.
154 155
    - Disabled the "rrdcached" plugin, which requires rrdclient support in
      librrd; removed version from librrd-dev build-dependency.
156 157 158
    - Disabled the "tokyotyrant" plugin, which requires libtokyotyrant which
      is not available in Lenny; removed libtokyocabinet-dev and
      libtokyotyrant-dev build-dependencies.
159 160
    - Disabled the "curl_json" plugin, which requires libyajl which is not
      available in Lenny; removed libyajl-dev build-dependency.
161

162
 -- Sebastian Harl <tokkee@debian.org>  Mon, 22 Mar 2010 23:31:30 +0100
163

164 165 166 167 168 169 170
collectd (4.9.1-2) unstable; urgency=low

  * debian/rules:
    - Re-enabled non-kfreebsd plugins on i386 and amd64, which had been
      disabled accidentally by using findstring (which does a substring match)
      to compare DEB_BUILD_ARCH with kfreebsd-{amd64,i386}; thanks to ilia
      kudirov for reporting this (Closes: #567259).
171 172
    - Replaced all occurrences of 'findstring' with appropriate 'filter'
      statements to make sure to match words rather than substrings.
173

174
 -- Sebastian Harl <tokkee@debian.org>  Thu, 28 Jan 2010 22:09:16 +0100
175

176
collectd (4.9.1-1) unstable; urgency=low
177 178 179 180 181

  * New upstream release:
    New plugins:
    - Number of context switches done by the OS: contextswitch
    - Query statistics from mon.itor.us: Monitorus (Perl based plugin)
182 183
    - Collect statistics from NetApp filers: netapp (disabled in Debian;
      libnetapp is not available)
184 185
    - OpenVZ statistics: OpenVZ (Perl based plugin)
    - Embedding a Python interpreter: python
186 187
    - Query statistics from RouterOS: routeros (disabled in Debian;
      librouteros is not available)
188 189 190 191
    New matches:
    - Match values using a hash function of the hostname: hashed
    New targets:
    - Scale (multiply) values: scale
192 193
  * debian/control:
    - Build-depend on "python-dev", required to build the "python" plugin.
194 195 196
  * debian/collectd-core.install:
    - Install all collectd-*.5 manpages (in particular, this includes the
      newly added collectd-python.5).
Sebastian Harl's avatar
Sebastian Harl committed
197 198
  * Added support for kfreebsd-{i386,amd64}; see below for details
    (Closes: #566521).
199
  * debian/control, debian/rules:
200 201 202 203
    - Disabled the following Linux-specific plugins / removed the following
      build-deps on kfreebsd-{i386,amd64}:
      + "iptables" plugin / iptables-dev
      + "ipvs" plugin / linux-libc-dev
204
      + "madwifi" plugin
205
      + "netlink" plugin / iproute-dev
206
      + "sensors" plugin / libsensors4-dev
207
      + "vserver" plugin
208 209 210 211 212 213
    - Disabled the following plugins / removed the following build-deps on
      kfreebsd-{i386,amd64} -- the build-deps are (not yet) available on
      kfreebsd:
      + "gmond" plugin / libganglia1-dev
      + "libvirt" plugin / libvirt-dev
      + "java" plugin / openjdk6-jdk
214 215
    - Enabled the "rrdcached" plugin and build-depend on librrd-dev (>= 1.4~)
      (and removed the optional build-dep on librrd2-dev).
216 217
    - Enabled the "tokyotyrant" plugin (except on kfreebsd-{i386,amd64}) and
      build-depend on libtokyotyrant-dev (which is not available on kfreebsd).
218 219
      Also, build-depend on libtokyocabinet-dev to work around a missing
      dependency in libtokyotyrant-dev (see #566584).
220 221 222
  * debian/rules:
    - Disabled the following plugins on kfreebsd-{i386,amd64} which have not
      yet been ported to FreeBSD: battery, conntrack, contextswitch, cpufreq,
223 224
      disk, entropy, fscache, irq, nfs, protocols, serial, thermal, vmem,
      wireless.
Sebastian Harl's avatar
Sebastian Harl committed
225 226
    - Simplified Java archdir mapping: removed entries "pointing" to
      themselves and let those default to DEB_BUILD_ARCH.
227
    - Check whether all patches have been enabled; fail, if not.
228 229 230 231
  * debian/patches:
    - Added bts566199_collection_hide_types.dpatch -- added ability to hide
      specified types in collection.cgi; thanks to Pavel Piatruk for the patch
      (Closes: #566199).
232 233
    - Added typo_fixes.dpatch -- fixing some typos in manpages and error
      messages; thanks to lintian(1) for reporting this.
234 235 236
  * debian/collectd-core.overrides:
    - Replaced overrides for spelling-error-in-description with
      capitalization-error-in-description.
237

238
 -- Sebastian Harl <tokkee@debian.org>  Tue, 26 Jan 2010 00:22:32 +0100
239

240
collectd (4.8.2-1) unstable; urgency=medium
241

242 243
  * New upstream release:
    - Now using libtool 2.
244
  * Set urgency to medium because of the fix for #559801.
245 246 247 248 249 250
  * Split the "collectd" binary package into "collectd-core" and "collectd".
    The former provides the main program file and the plugins while the latter
    provides the configuration. This allows for much more flexible setups
    (e.g. providing customizations on top of "collectd-core" without modifying
    the "collectd" package) and, amongst others, removes the hard dependency
    on librrd (Closes: #495936, #544311).
251 252 253 254
  * debian/collectd-core.collectd.init.d:
    - Do not (try to) start collectd if the config file does not exist. Else,
      installation of "collectd-core" (which does not provide configuration)
      would fail.
255 256 257
  * debian/collectd.postinst:
    - Let the "collectd" package restart the daemon, since it provides the
      config file.
258 259
  * debian/collectd.links:
    - Symlink /u/s/d/collectd/examples to /u/s/d/collectd-core/examples.
260 261 262 263 264 265 266
  * debian/control:
    - Build-depend on the right combination of libsnmp-dev and perl. Perl's
      CFLAGS (included in net-snmp's CFLAGS) introduced '-fstack-protector' in
      version 5.10.1 on some architectures (those supporting that features).
      net-snmp has been fixed to handle that correctly in 5.4.2.1~dfsg-4;
      thanks to Lamont Jones and Dann Frazier for reporting this
      (Closes: #559087).
267 268 269 270 271
    - Build-depend on libsensors4-dev rather than libsensors-dev. libsnmp-dev,
      starting with version 5.4.2.1~dfsg-5, supports libsensors4, thus making
      that possible. This restores the full functionality of the "sensors"
      plugin, which does not work well with libsensors3 and lm-sensors-3;
      thanks to Anssi Kolehmainen for reporting this (Closes: #538795).
272 273
    - Build-depend on libltdl-dev to make it possible to use the system-wide
      libltdl.
274 275
    - No longer conflict/provide/replace the pre-Lenny "collectd-$plugin"
      packages.
276 277 278
    - Update the list of collectd-core's suggestions: added various services
      providing data that may be collected by collectd. Downgraded lm-sensors
      from a recommendation to a suggestion.
279 280
  * debian/patches:
    - Removed gmond-fix-compile-error.dpatch -- included upstream.
281 282 283
    - Added bts561577_collectd2html_recursive_fix.dpatch -- fixed
      collectd2html.pl's recursive mode and improved some defaults; thanks to
      Yuri D'Elia for reporting this and providing a patch (Closes: #561577).
284 285 286
    - Added bts557599_powerdns_fix.dpatch -- fixed communication to pdns
      versions 2.9.22 and above; thanks to <tm@iprog.com> for reporting this
      and Luke Heberling for providing the patch (Closes: #557599).
287 288 289 290 291 292
    - Added bts559801_plugin_find_fix.dpatch -- make collectd resistant
      against copies of libltdl affected by CVE-2009-3736. This fixes a
      potential but very unlikely security issue, e.g. found in the embedded
      copy. For details about how collectd might be affected, see
      <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=559801#15>; thanks to
      Michael Gilbert for reporting this (Closes: #559801).
293
  * debian/rules:
294
    - Pass --without-included-ltdl to configure to tell libtool 2 to not use
295 296 297
      the shipped libltdl but rather the one available in the system. Thus,
      in the future, libltdl related issues do no longer require updated
      collectd packages.
298 299
    - Pass --disable-static to configure to tell libtool 2 to not build any
      static libraries.
300
    - Install debian/collectd.conf as an example into "collectd-core".
301 302
    - Output the content of config.log if configure fails -- this might help
      debugging.
303 304
  * debian/README.Debian:
    - Added a short explanation of the package split.
305

306
 -- Sebastian Harl <tokkee@debian.org>  Sat, 26 Dec 2009 12:06:46 +0100
307

308 309 310 311 312 313 314 315 316 317
collectd (4.8.1-2) unstable; urgency=low

  * debian/rules:
    - Disabled the "java" plugin on hppa for now to work around a backlog in
      the buildds that currently prevents a transition to testing.
  * debian/control:
    - Do not build-depend on openjdk-6-jdk on hppa.

 -- Sebastian Harl <tokkee@debian.org>  Thu, 19 Nov 2009 10:55:33 +0100

318
collectd (4.8.1-1) unstable; urgency=medium
319

320 321 322 323 324 325
  * New upstream release:
    - Fixed a build issue with libiptc that caused a segfault in the iptables
      plugin; thanks to Rodrigo Campos for reporting this (Closes: #535786).
    - Updated the powerdns plugin to support pdns 2.9.22 (and above) as well;
      thanks to Thomas Morgan for reporting this and Luke Heberling for
      providing a patch (Closes: #535787).
326 327 328 329 330 331 332 333 334 335 336 337
    New plugins:
    - Parse JSON files: curl_json
    - Query data from Java processes using JMX: GenericJMX (Java based plugin)
    - Atheros wireless LAN chipset statistics: madwifi
    - Optimized Link State Routing daemon statistics: olsrd
    - Tokyo Tyrant server statistics: tokyotyrant (disabled in Debian,
      libtokyotyrant is not available)
    - Send collected values to a web-server: write_http
    - ZFS Adaptive Replacement Cache statistics: zfs_arc (disabled in Debian,
      libkstat is not available)
    New matches:
    - Match zero COUNTER values: empty_counter
338
  * Set urgency to medium because of the fix for #535786.
339 340
  * debian/rules:
    - Install contrib/GenericJMX.conf to /usr/share/doc/collectd/examples/.
341 342
    - Disabled the tokyotyrant and zfs_arc plugins - their dependencies are
      not available.
343 344
  * debian/patches:
    - Removed bts535787-powerdns-fix-localsocket.dpatch - included upstream.
345
    - Removed bts541953-curl-followlocation.dpatch - included upstream.
346
    - Removed bts542859-df-fix-ignorelist.dpatch - included upstream.
347
    - Removed java-fix-jvm-start.dpatch - included upstream.
348
    - Removed libvirt-reconnect.dpatch - included upstream.
349
    - Removed network-fix-cacheflush.dpatch - included upstream.
350
    - Removed plugin-fix-unregister.dpatch - included upstream.
351 352
    - Added gmond-fix-compile-error.dpatch - upstream patch fixing a compile
      error in the gmond plugin.
353 354
  * debian/control:
    - Build depend on libyajl-dev, which is required by the curl_json plugin.
Sebastian Harl's avatar
Sebastian Harl committed
355 356
  * Added debian/README.source:
    - The file includes a pointer to /usr/share/doc/dpatch/README.source.gz.
357 358
  * New debconf template translations:
    - ja.po, thanks to Hideki Yamane (Closes: #550968).
359

360
 -- Sebastian Harl <tokkee@debian.org>  Thu, 15 Oct 2009 20:54:46 +0200
361

362
collectd (4.7.2-1) unstable; urgency=low
363

364
  * New upstream release (Closes: #541887).
365 366
    - collectd2html.pl now supports the creation of SVG images; thanks to Ivan
      Shmakov for providing a patch (Closes: #482185).
367 368 369
    New plugins:
    - Connection tracking table size: conntrack
    - Linux file-system based caching framework statistics: fscache
370
    - Receive and interpret Ganglia multicast traffic: gmond
371
    - Embedded Java Virtual Machine: java
Sebastian Harl's avatar
Sebastian Harl committed
372
    - Query and parse data from a memcache daemon: memcachec
373 374 375 376
    - Information about network protocols: protocols
    - Parse table-like structured files: table
    - Power consumption measurements from "The Energy Detective" (TED): ted
    - System uptime: uptime
377
  * debian/rules:
378
    - Install collectd-unixsock.py to /usr/share/doc/collectd/examples/.
379 380
    - Pass CPPFLAGS and CFLAGS as arguments to configure instead of setting
      them in the environment - this is the recommended way.
Sebastian Harl's avatar
Sebastian Harl committed
381 382 383 384
    - Pass appropriate JAVAC, JAVA_CPPFLAGS and JAVA_LDFLAGS variables to
      configure, using OpenJDK found in /usr/lib/jvm/java-6-openjdk. The
      archdir mapping used by the openjdk-6 Debian package is used to find
      libjvm.so in JAVA_HOME/jre/lib/ARCHDIR/server.
385
    - Use -rpath to tell the "java" plugin where to find libjvm.so.
386 387
    - Pass --enable-all-plugins to configure to make sure that the build fails
      if any prerequisites are missing.
Sebastian Harl's avatar
Sebastian Harl committed
388 389
  * debian/control:
    - Build-depend on openjdk-6-jdk.
390
    - Build-depend on libganglia1-dev (>= 3), required by the gmond plugin.
391
    - Build-depend on libgcrypt11-dev, used by the network plugin.
392
    - Updated Standards-Version to 3.8.3 (no changes).
393 394
    - Changed build-dependency libmysqlclient15-dev to libmysqlclient-dev -
      this allows transitions to be handled thru binNMUs if possible.
Sebastian Harl's avatar
Sebastian Harl committed
395 396
  * debian/collectd.install:
    - Install collectd-java.5.
397 398
  * debian/patches:
    - Removed libcollectdclient_static_sstrerror.dpatch - included upstream.
399
    - Added network-fix-cacheflush.dpatch - upstream patch to fix the handling
400 401
      of the 'CacheFlush' config option of the "network" plugin.
    - Added libvirt-reconnect.dpatch - upstream patch to let the "libvirt"
402
      plugin re-connect to libvirtd if connecting fails.
403 404 405
    - Added plugin-fix-unregister.dpatch - upstream patch to make
      'plugin_unregister_read()' functional again, thus fixing a failed
      assertion in some cases.
406
    - Added java-fix-jvm-start.dpatch - upstream patch to fix the JVM startup.
407 408 409
    - Added bts541953-curl-followlocation.dpatch - upstream patch to let
      plugins using libcurl follow HTTP redirects; thanks to Joey Hess for
      reporting this (Closes: #541953).
410
    - Added bts535787-powerdns-fix-localsocket.dpatch - upstream patch fixing
411 412 413
      the handling of the 'LocalSocket' config option of the "powerdns"
      plugin; thanks to Thomas Morgan for reporting this and Luke Heberling
      for providing a patch (references: #535787).
414
    - Added bts542859-df-fix-ignorelist.dpatch - upstream patch to fix the
415
      handling of the ignorelist in the "df" plugin; thanks to Joey Hess for
416
      reporting this (Closes: #542859).
417 418 419 420
  * debian/README.Debian:
    - Removed the note about how to get collectd2html.pl working with
      version 4 of collectd - the script now supports the --recursive option
      which takes care of that.
421 422
  * debian/collectd.overrides:
    - Documented the 'binary-or-shlib-defines-rpath' warning - the rpath is
423
      required by the "java" plugin.
424 425
  * New debconf template translations:
    - cs.po, thanks to Martin Sin (Closes: #534206).
426
    - ru.po, thanks to Yuri Kozlov (Closes: #539467).
427
  * debian/control, debian/rules:
428
    - No not limit the "libvirt" plugin to amd64, i386, powerpc - libvirt-dev
429
      seems to be available on all architectures now.
430 431 432 433
    - Reintroduced a work around for #474087 (broken openipmi .pc files) by
      providing a fixed version of OpenIPMIpthread.pc in debian/pkgconfig and
      adding that path to PKG_CONFIG_PATH. Removed the version from the
      libopenipmi-dev build dependency for now.
434
  * debian/collectd.conf:
435
    - Set the "apache" plugin's URL according to the default used by Debian's
436
      Apache; thanks to Joey Hess for reporting this (Closes: #541888).
437 438 439 440
  * debian/libcollectdclient-dev.install, debian/rules:
    - Do not install libcollectdclient's .la file in favor of the Squeeze
      release goal to remove those files (for details see
      <http://lists.debian.org/debian-devel/2009/08/msg00783.html>).
441

442
 -- Sebastian Harl <tokkee@debian.org>  Sat, 29 Aug 2009 12:42:15 +0200
443

444 445 446
collectd (4.6.3-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
447 448 449
  * Remaining changes:
    - Build-conflict with iptables-dev to force the use of the shipped libiptc
      (this allows building the iptables plugin on all architectures).
450

451
 -- Sebastian Harl <tokkee@debian.org>  Sun, 14 Jun 2009 17:06:37 +0200
452

453 454 455 456 457 458 459 460 461 462 463 464 465 466 467
collectd (4.6.3-1~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.
  * debian/control:
    - Removed dpkg-dev build-dependency - we don't care about Vcs-* and
      Homepage fields in backports.org.
    - Removed optional build-dependencies libcurl4-gnutls-dev, librrd-dev and
      libsnmp-dev - they are not available in Etch and might confuse buildds.
    - Switch back to build-depend on nut-dev - libupsclient1-dev is not
      available in Etch and limit the "nut" plugin to [!alpha !amd64 !hppa
      !ia64 !ppc64 !mips !mipsel].
    - Replaced linux-libc-dev build-dependency with linux-kernel-headers.
    - Build-conflict with iptables-dev to force the use of the shipped libiptc
      (this allows building the iptables plugin on all architectures).
  * debian/control, debian/rules:
468 469 470 471 472
    - Added a work around for #474087 (broken openipmi .pc files) by providing
      a fixed version of OpenIPMIpthread.pc in debian/pkgconfig and adding
      that path to PKG_CONFIG_PATH. Removed the version from the
      libopenipmi-dev build dependency - Etch does not include a fixed version
      of openipmi.
473 474 475
    - Removed libdbi0-dev build-dependency and disabled the "dbi" plugin -
      libdbi is not available on Etch.

476
 -- Sebastian Harl <tokkee@debian.org>  Sun, 14 Jun 2009 13:52:04 +0200
477

478 479 480
collectd (4.6.3-1) unstable; urgency=low

  * New upstream release.
481 482
  * debian/patches:
    - Removed battery_acpi_complain.dpatch - included upstream.
483
    - Removed include_empty_files.dpatch - included upstream.
484
    - Removed ntpd_type_pun_fix.dpatch - included upstream.
485
    - Removed rrdtool_uninitialized_fix.dpatch - included upstream.
486 487
    - Added libcollectdclient_static_sstrerror.dpatch to make a private
      function in libcollectdclient static.
488 489
  * debian/rules:
    - Install collectd-network.py to /usr/share/doc/collectd/examples/.
490

491
 -- Sebastian Harl <tokkee@debian.org>  Tue, 02 Jun 2009 22:03:10 +0200
492

493 494 495 496 497 498 499
collectd (4.6.2-3) unstable; urgency=low

  * debian/patches:
    - Actually enabled rrdtool_uninitialized_fix.dpatch - d'oh!

 -- Sebastian Harl <tokkee@debian.org>  Fri, 29 May 2009 15:49:46 +0200

500 501 502 503 504 505
collectd (4.6.2-2) unstable; urgency=low

  * debian/patches:
    - Added battery_acpi_complain.dpatch - upstream patch to fix excessive
      error messages in the battery plugin in case /proc/acpi/battery is not
      available.
506 507 508
    - Added ntpd_type_pun_fix.dpatch - upstream patch to fix dereferencing of
      a type-punned pointer identified by GCC 4.4, thanks to Martin Michlmayr
      for reporting this (Closes: #526667).
509 510 511
    - Added include_empty_files.dpatch - upstream patch to fix the inclusion
      of empty configuration files, thanks to Alexander Wirt for reporting
      this.
512 513 514
    - Added rrdtool_uninitialized_fix.dpatch - upstream patch to fix an
      uninitialized value warning in the rrdtool plugin, thanks to Andreas
      Moog for reporting this.
515 516
  * debian/collectd.conf, debian/filters.conf:
    - Added a sample filter chain configuration.
517 518
  * debian/rules:
    - Added contrib/php-collection/ to /usr/share/doc/collectd/.
519
    - Disabled "netlink" plugin on mips and mipsel - those architectures do
520 521
      not allow to link non-PIC code into shared objects, thanks to Peter De
      Schrijver for reporting this (Closes: #524593).
522
  * debian/control:
523 524 525
    - Build-depend on iptables-dev (>= 1.4.3.2-2) to link against the packaged
      libiptc which is available as shared library since iptables 1.4.3.
      Depend on versions >= 1.4.3.2-2 because of #524766.
526

527
 -- Sebastian Harl <tokkee@debian.org>  Fri, 29 May 2009 14:12:36 +0200
528

Sebastian Harl's avatar
Sebastian Harl committed
529
collectd (4.6.2-1) unstable; urgency=low
530 531

  * New upstream release.
532
    - Fixed the use of struct in6_addr (Closes: #521748).
533
    - Added a filter infrastructure based on "matches" and "targets".
534
    - Added support for vmem graphs to collection.cgi (Closes: #521993).
535 536 537 538 539 540 541 542 543 544 545 546 547 548 549 550 551
    New plugins:
    - bind9 name-server and zone statistics: bind
    - Parse statistics from websites: curl
    - Query data from a relational database: dbi
    - OpenVPN traffic and compression statistics: openvpn
    - Query data from an Oracle database: oracle (disabled in Debian,
      libclntsh is not available)
    - Write data via the RRD accelerator daemon: rrdcached (disabled in
      Debian, rrdclient support is not yet available)
    New matches:
    - Match values by their identifier based on regular expressions: regex
    - Match values with an invalid timestamp: timediff
    - Select values by their data sources' values: value
    New targets:
    - Create and dispatch a notification: notification
    - Replace parts of an identifier using regular expressions: replace
    - Set (overwrite) entire parts of an identifier: set
552
  * Uploading to unstable, since Lenny has been released.
553 554
  * New debconf template translations:
    - vi.po, thanks to Clytie Siddall (Closes: #515872).
555 556
    - es.po, thanks to Francisco Javier Cuadrado and Erika Chacón Vivas
      (Closes: #520988).
557 558
  * debian/patches:
    - Removed perl-uninitialized-var.dpatch - included upstream.
559
  * debian/control:
560 561 562 563
    - Added new binary packages libcollectdclient0 and libcollectdclient-dev
      for the newly added client library.
    - Added new binary package collectd-utils for optional utilities that pull
      in additional dependencies. Currently, this only includes
564 565
      collectd-nagios. The new package replaces collectd (<< 4.6.1-1~),
      because it overwrites /usr/bin/collectd-nagios.
566 567
    - Added libdbi0-dev to the build dependencies - this is required by the
      dbi plugin.
568
    - Moved collectd-dbg from section "utils" to the newly added "debug".
569
    - Updated Standards-Version to 3.8.1.
570 571 572
  * debian/rules:
    - Use dh_install and *.install files to specify which package some file
      belongs to.
573 574
  * debian/libcollectdclient0.symbols:
    - Added symbols file for libcollectdclient.
575 576 577
  * debian/collectd.overrides:
    - Override "spelling-error-in-description" for the apache plugin name -
      all plugins are spelled lowercase.
578 579 580 581
  * debian/collectd.init.d:
    - Start the daemon using start-stop-daemon's --oknodo option to exit
      successfully if the daemon is already running as requested by section
      9.3.2 of the Debian Policy 3.8.1.
582 583 584
  * debian/copyright:
    - Reference GPL-2 in addition to GPL (latest version), since GPL2-only is
      used by some files.
585

586
 -- Sebastian Harl <sh@tokkee.org>  Thu, 02 Apr 2009 16:38:57 +0200
587

588
collectd (4.5.1-1) experimental; urgency=low
589 590 591 592 593 594

  * New upstream release.
    New plugins:
    - Count the number of files in directories: filecount
    - Send desktop notifications to a notification daemon: notify_desktop
    - Send notification E-mails: notify_email
Sebastian Harl's avatar
Sebastian Harl committed
595
    - One-wire sensors information: onewire (experimental, disabled in Debian)
596
    - PostgreSQL database statistics: postgresql
597
    - Linux ACPI thermal zone information: thermal (Closes: #492580)
598
  * Uploading to experimental because of the Lenny freeze.
599 600 601
  * debian/control:
    - Added build dependency on libglib2.0-dev and libnotify-dev required by
      the notify_desktop plugin.
602 603
    - Added build dependency on libesmtp-dev required by the notify_email
      plugin.
604
    - Added build dependency on libpq-dev required by the postgresql plugin.
605 606
    - Let collectd-dbg and collectd-dev depend on ${misc:Depends} - this is
      required when using debhelper.
Sebastian Harl's avatar
Sebastian Harl committed
607 608
  * debian/rules:
    - Disabled onewire plugin - owfs is not yet available in Debian.
609
    - Install contrib/snmp-probe-host.px to /usr/share/doc/collectd/examples/.
610
    - Set CONFIGFILE to /etc/collectd/collectd.conf.
611
  * debian/patches:
612 613
    - Added perl-uninitialized-var.dpatch - upstream patch to fix an
      uninitialized variable warning causing a FTBFS because of -Werror.
614 615 616 617 618 619 620
    - Removed myplugin_strcpy.dpatch - applied upstream.
    - Removed perl_deadlock.dpatch - included upstream.
    - Removed memory_libstatgrab.dpatch - included upstream.
    - Removed collectd_memleak.dpatch - included upstream.
    - Removed snmp_memleak.dpatch - included upstream.
    - Removed memcached_fdleak.dpatch - included upstream.
    - Removed memcached_timeout.dpatch - included upstream.
Sebastian Harl's avatar
Sebastian Harl committed
621
    - Removed pod-errors.dpatch - included upstream.
622 623
  * debian/collectd.overrides:
    - Override "spelling-error-in-description" for the postgresql plugin name
624
      - all plugins are spelled lowercase.
625 626
  * debian/collectd.init.d:
    - Do not restart collectd if the configuration test fails.
627

628
 -- Sebastian Harl <sh@tokkee.org>  Fri, 12 Dec 2008 10:09:48 +0100
629

630 631 632 633 634
collectd (4.4.2-3~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.
  * Removed dpkg-dev build-dependency - we don't care about Vcs-* and Homepage
    fields in backports.org.
635 636
  * Removed optional build-dependencies libcurl4-gnutls-dev, librrd-dev and
    libsnmp-dev - they are not available in Etch and might confuse buildds.
637 638 639 640 641 642
  * Switch back to build-depend on nut-dev - libupsclient1-dev is not
    available in Etch:
    - Limit the "nut" plugin to [!alpha !amd64 !hppa !ia64 !ppc64].
  * Replaced linux-libc-dev build-dependency with linux-kernel-headers.
  * Build-conflict with iptables-dev to force the use of the shipped libiptc
    (this allows building the iptables plugin on all architectures).
643 644 645
  * Reenabled and fixed the work around for #474087 (broken openipmi .pc
    files) and removed the version from the libopenipmi-dev build dependency -
    Etch does not include a fixed version of openipmi.
646

647
 -- Sebastian Harl <sh@tokkee.org>  Thu, 18 Dec 2008 11:10:56 +0100
648

649 650 651 652
collectd (4.4.2-3) unstable; urgency=low

  * New debconf template translation:
    - nl.po, thanks to Eric Spreen (Closes: #502204).
653
    - sv.po, thanks to Martin Bagge (Closes: #504248).
Sebastian Harl's avatar
Sebastian Harl committed
654 655
  * debian/patches:
    - Added pod-errors.dpatch to fix some minor POD errors.
656 657 658
  * debian/rules:
    - Remove generated manpages in the clean target to avoid cluttering the
      source diff with the rebuilt manpages.
659 660
  * debian/collectd.conf:
    - Fixed a wrong type used in the "tail" plugin example.
661

662
 -- Sebastian Harl <sh@tokkee.org>  Sat, 06 Dec 2008 16:53:25 +0100
663

664 665 666 667 668 669
collectd (4.4.2-2) unstable; urgency=low

  * Removed the work around for #474087 (broken openipmi .pc files) introduced
    in 4.4.1-1 and instead build depend on libopenipmi-dev (>= 2.0.14-1~)
    which includes fixed .pc files. This fixes an undefined symbol error when
    loading the ipmi plugin caused by that work around (Closes: #494665).
670 671 672 673 674
  * debian/collectd.init.d:
    - The "status" command now exits with 1 if collectd is not running.
    - Do not suppress output when checking the configuration with the -t
      command line option. This will also show errors that don't cause
      collectd to abort, e.g. failure to load plugins (Closes: #499232).
675 676 677
  * debian/control:
    - Added librrd-dev as the preferred option to the librrd2-dev build
      dependency - the latter one is a virtual package since rrdtool 1.3.
678 679
  * Added debian/patches/perl_deadlock.dpatch - upstream patch to fix a
    possible deadlock in the perl plugin (Closes: #499179).
680 681
  * Added debian/patches/memory_libstatgrab.dpatch - trivial upstream patch to
    fix a typo in the libstatgrab code of the memory plugin.
682 683
  * Added debian/patches/collectd_memleak.dpatch - trivial upstream patch to
    fix a possible memory leak.
684 685
  * Added debian/patches/snmp_memleak.dpatch - trivial upstream patch to fix a
    possible memory leak in the snmp plugin.
686 687
  * Added debian/patches/memcached_fdleak.dpatch - trivial upstream patch to
    fix a possible file descriptor leak in the memcached plugin.
688 689
  * Added debian/patches/memcached_timeout.dpatch - trivial upstream patch to
    fix the timeout passed to poll(2).
690

691
 -- Sebastian Harl <sh@tokkee.org>  Thu, 18 Sep 2008 19:12:54 +0200
692

Sebastian Harl's avatar
Sebastian Harl committed
693 694 695
collectd (4.4.2-1) unstable; urgency=low

  * New upstream release.
696 697
  * Removed librrd0-dev and libmysqlclient14-dev from the build-dependencies -
    those package are no longer available since Etch.
698
  * Removed byacc from the build-dependencies - collectd now requires bison.
699 700
  * Removed libupsclient-config.sh - upstream now supports pkg-config for
    libupsclient.
701 702 703
  * Include collection3 in /usr/share/doc/collectd/examples/:
    - Updated README.Debian to point the collection3's README.
    - Added libconfig-general-perl to the suggested packages.
704 705
  * README.Debian: Added a note about how to get collectd2html.pl working with
    version 4 of collectd.
706 707
  * Added debian/patches/myplugin_strcpy.dpatch - use sstrncpy() instead of
    strcpy() which is poisoned in collectd.h.
708 709
  * collectd.overrides: Removed shlib-with-non-pic-code for nut.so - the
    plugin now links against the shared libupsclient.
710
  * Do not compress any example files, so they may be used directly.
Sebastian Harl's avatar
Sebastian Harl committed
711

712
 -- Sebastian Harl <sh@tokkee.org>  Fri, 25 Jul 2008 19:58:58 +0200
Sebastian Harl's avatar
Sebastian Harl committed
713

Sebastian Harl's avatar
Sebastian Harl committed
714 715 716 717 718 719 720
collectd (4.4.1-2~bpo40+1) etch-backports; urgency=low

  * Rebuild for Etch.
  * Removed dpkg-dev build-dependency - we don't care about Vcs-* and Homepage
    fields in backports.org.
  * Removed optional build-dependencies libcurl4-gnutls-dev and libsnmp-dev -
    they are not available in Etch and might confuse buildds.
721 722 723
  * Switch back to build-depend on nut-dev - libupsclient1-dev is not
    available in Etch:
    - Limit the "nut" plugin to [!alpha !amd64 !hppa !ia64 !ppc64].
724 725
  * No longer remove version from libvirt-dev build-dependency - a version
    with Xen support is now available on backports.org.
726
  * Replaced linux-libc-dev build-dependency with linux-kernel-headers.
727
  * Build-conflict with iptables-dev to force the use of the shipped libiptc.
Sebastian Harl's avatar
Sebastian Harl committed
728

729
 -- Sebastian Harl <sh@tokkee.org>  Wed, 20 Aug 2008 10:52:14 +0200
Sebastian Harl's avatar
Sebastian Harl committed
730

731
collectd (4.4.1-2) unstable; urgency=low
732 733 734

  * Restrict libcurl4-gnutls-dev build dependency to versions which are not
    affected by #488701 (Closes: #489091).
735 736 737
  * Added linux-libc-dev (<< 2.6.25-1) as an option to the linux-libc-dev
    (>= 2.6.25-4) build dependency - those versions are not affected by
    #479899.
738 739
  * Added build dependency on pkg-config - this is used by collectd's
    configure script to check for a couple of libraries.
740 741 742 743
  * Added libupsclient-config.sh to imitate libupsclient-config which is no
    longer available. libupsclient-config.sh is a simple wrapper around
    pkg-config. This is a workaround until upstream supports pkg-config for
    libupsclient.
744 745
  * Replaced nut-dev build dependency with libupsclient1-dev:
    Reenabled the "nut" plugin on all architectures.
746

747
 -- Sebastian Harl <sh@tokkee.org>  Mon, 07 Jul 2008 20:45:53 +0000
748

Sebastian Harl's avatar
Sebastian Harl committed
749
collectd (4.4.1-1) unstable; urgency=low
750

751 752 753 754
  * New upstream release.
    - Fixed another issue of the sensors plugin affecting some chip types
      (Closes: #468143).
    - Fixed creation of "vserver" graphs in collection.cgi (Closes: #475120).
755
    - Fixed a segfault when using libperl 5.10.
Sebastian Harl's avatar
Sebastian Harl committed
756
    - collectd now ships libiptc itself.
757 758 759 760 761 762 763
    New plugins:
    - Ascent server statistics: ascent
    - IPMI sensors information: ipmi
    - PowerDNS name server statistics: powerdns
    - incremental parsing of logfiles: tail
    - TeamSpeak2 server statistics: teamspeak2
    - detailed virtual memory statistics: vmem
764
  * Disable "tcpconns" plugin by default (Closes: #478759).
765
  * Reenabled iptables plugin on all architectures (Closes: #473435).
Sebastian Harl's avatar
Sebastian Harl committed
766 767
    - Added the plugin to collectd.conf.
    - Added /usr/share/doc/collectd/examples/iptables/.
768 769
    - Added build dependency on linux-libc-dev (>= 2.6.25-4) - that version is
      required because of #479899.
770 771
  * New debconf template translations:
    - gl.po, thanks to Jacobo Tarrio (Closes: #482667).
772 773
  * Added a work around for #474087 (broken openipmi .pc files) by forcing the
    inclusion of the ipmi plugin and manually specifying the dependencies.
774
  * Updated standards-version to 3.8.0 (no changes).
775

776
 -- Sebastian Harl <sh@tokkee.org>  Tue, 17 Jun 2008 10:35:51 +0200
777

Sebastian Harl's avatar
Sebastian Harl committed
778 779 780 781 782 783 784 785 786
collectd (4.3.2-1~bpo40+1) etch-backports; urgency=low

  * Rebuild for Etch.
  * Removed dpkg-dev build-dependency - we don't care about Vcs-* and Homepage
    fields in backports.org.
  * Removed optional build-dependencies libcurl4-gnutls-dev and libsnmp-dev -
    they are not available in Etch and might confuse buildds.
  * Removed version from libvirt-dev build-dependency - a version with Xen
    support is currently not available on backports.org.
787
  * Reenabled the "iptables" plugin - libiptc is available in Etch.
Sebastian Harl's avatar
Sebastian Harl committed
788

789
 -- Sebastian Harl <sh@tokkee.org>  Sun, 27 Apr 2008 16:48:59 +0200
Sebastian Harl's avatar
Sebastian Harl committed
790

Sebastian Harl's avatar
Sebastian Harl committed
791
collectd (4.3.2-1) unstable; urgency=low
Sebastian Harl's avatar
Sebastian Harl committed
792 793

  * New upstream release.
Sebastian Harl's avatar
Sebastian Harl committed
794 795
    - Fixed handling of ignored sensors instances (Closes: #468143).
    - Fixed reading of wireless noise values (Closes: #471788).
Sebastian Harl's avatar
Sebastian Harl committed
796
  * Adopted patches and script to extractDS.px being renamed to rrd_filter.px.
797 798
  * Clarified debconf template in respect to packages required for the data
    migration (Closes: #469336).
Sebastian Harl's avatar
Sebastian Harl committed
799
  * collectd.conf: Moved logging plugins to the top of the file.
800 801
  * New debconf template translations:
    - de.po, thanks to Kai Wasserbäch (Closes: #469334).
802
    - fr.po, thanks to Florent Usseil (Closes: #468813).
803
    - pt.po, thanks to Américo Monteiro (Closes: #469745, #472183).
804
  * collectd.init.d: Consider the DISABLE option only when starting collectd.
805 806 807
  * Disabled iptables plugin - libiptc is no longer available in Debian.
    - Removed the plugin from collectd.conf.
    - Removed /usr/share/doc/collectd/examples/iptables/.
Sebastian Harl's avatar
Sebastian Harl committed
808

809
 -- Sebastian Harl <sh@tokkee.org>  Mon, 31 Mar 2008 12:13:18 +0200
Sebastian Harl's avatar
Sebastian Harl committed
810

Sebastian Harl's avatar
Sebastian Harl committed
811 812 813 814 815 816 817
collectd (4.3.0-2~bpo40+1) etch-backports; urgency=low

  * Rebuild for Etch.
  * Removed dpkg-dev build-dependency - we don't care about Vcs-* and Homepage
    fields in backports.org.
  * Removed optional build-dependencies libcurl4-gnutls-dev and libsnmp-dev -
    they are not available in Etch and might confuse buildds.
818 819
  * Removed version from libvirt-dev build-dependency - a version with Xen
    support is currently not available on backports.org.
Sebastian Harl's avatar
Sebastian Harl committed
820

821
 -- Sebastian Harl <sh@tokkee.org>  Thu, 27 Mar 2008 13:13:13 +0100
Sebastian Harl's avatar
Sebastian Harl committed
822

Sebastian Harl's avatar
Sebastian Harl committed
823 824 825 826 827 828
collectd (4.3.0-2) unstable; urgency=low

  * Added "lm-sensors" to the recommended packages and README.Debian.plugins
    (this is required by the sensors plugin).
  * Restrict the libvirt-dev build dependency and the libvirt plugin to amd64,
    i386 and powerpc (libvirt is only available on those architectures).
829 830 831
  * Restrict the libvirt-dev build dependency to versions >= 0.4.0-6 to make
    sure Xen is supported and to fix some strange FTBFS complaining about a
    missing symbol "virDomainBlockStats".
Sebastian Harl's avatar
Sebastian Harl committed
832

833
 -- Sebastian Harl <sh@tokkee.org>  Thu, 06 Mar 2008 23:37:44 +0100
Sebastian Harl's avatar
Sebastian Harl committed
834

835
collectd (4.3.0-1) unstable; urgency=low
836 837

  * New upstream release.
Sebastian Harl's avatar
Sebastian Harl committed
838 839 840 841
    - Added basic support for monitoring by introducing notifications and
      threshold checking.
    - Reverse lookups can be disabled using the "ReverseLookups" option of the
      ntpd plugin (Closes: #455162).
842 843 844
    New plugins:
    - Set the hostname to an unique identifier: uuid
    - CPU, dist, network statistics of guest systems: libvirt
845 846
  * Upload to unstable: With the latest changes to the perl plugin, all parts
    of collectd are suitable for a release.
847
  * Added libvirt-dev, libxml2-dev and libhal-dev to the build dependencies.
Sebastian Harl's avatar
Sebastian Harl committed
848
  * Updated package description to mention the monitoring support.
849
  * Install liboping/oping.h to collectd-dev as well.
Sebastian Harl's avatar
Sebastian Harl committed
850 851 852 853 854 855 856 857 858 859
  * collectd.init.d: Optionally start collectdmon to monitor collectd. This
    can be configured using the USE_COLLECTDMON variable - enabled by default.
  * collectd.init.d: Added ENABLE_COREFILES option - if enabled the core file
    limit will be set to unlimited - disabled by default.
  * Compile collectd with -DLT_LAZY_OR_NOW='RTLD_LAZY|RTLD_GLOBAL' to force
    lt_dlopen() to use the RTLD_GLOBAL flag which is required by the perl
    plugin (which would otherwise be unable to find symbols defined in libperl
    when loading perl modules that require such symbols).
  * Disable debugging support.
  * watch file: Added uversionmangle for "beta" and "-rc".
860 861
  * Override "spelling-error-in-description" for the mysql plugin name - all
    plugins are spelled lowercase.
862

863
 -- Sebastian Harl <sh@tokkee.org>  Tue, 19 Feb 2008 21:44:42 +0100
864

Sebastian Harl's avatar
Sebastian Harl committed
865
collectd (4.2.4-1) experimental; urgency=low
Sebastian Harl's avatar
Sebastian Harl committed
866 867 868 869 870 871 872

  * New upstream release.
  * Added versioned build-dependency on dpkg-dev (>= 1.14.10); collectd FTBFS
    with earlier versions because of #452262.
  * Added libregexp-common-perl (required by Collectd::Unixsock) to the
    suggested packages.
  * Added support for the "status" command to the init script.
Sebastian Harl's avatar
Sebastian Harl committed
873 874 875
  * Updated standards-version to 3.7.3 (no changes).
  * Added --without-libstatgrab to the configure options to prevent collectd
    from being linked against this library if it's available.
Sebastian Harl's avatar
Sebastian Harl committed
876 877
  * Disabled xmms plugin - xmms will be removed from unstable
    (Closes: #459707).
Sebastian Harl's avatar
Sebastian Harl committed
878

Sebastian Harl's avatar
Sebastian Harl committed
879
 -- Sebastian Harl <sh@tokkee.org>  Sun, 27 Jan 2008 18:34:23 +0100
Sebastian Harl's avatar
Sebastian Harl committed
880

Sebastian Harl's avatar
Sebastian Harl committed
881 882 883 884 885
collectd (4.2.1-1) experimental; urgency=low

  * New upstream release.
  * Changed XS-Vcs-* to Vcs-*.
  * Marked advanced rrdtool configuration options as such in collectd.conf.
886 887
  * Added exec-munin.px, exec-munin.conf, exec-smartctl and snmp-data.conf to
    /usr/share/doc/collectd/examples/.
888
  * Moved "Homepage" field from package description to the source stanza.
Sebastian Harl's avatar
Sebastian Harl committed
889

890
 -- Sebastian Harl <sh@tokkee.org>  Wed, 21 Nov 2007 09:50:46 +0000
Sebastian Harl's avatar
Sebastian Harl committed
891

Sebastian Harl's avatar
Sebastian Harl committed
892
collectd (4.2.0-1) experimental; urgency=low
Sebastian Harl's avatar
Sebastian Harl committed
893 894 895 896

  * New upstream release.
    - Added options to collectd2html.pl to specify host and data directory
      (Closes: #438499).
897
    - Link against a thread-safe version of librrd.
Sebastian Harl's avatar
Sebastian Harl committed
898
    New plugins:
Sebastian Harl's avatar
Sebastian Harl committed
899 900
    - IPVS connection statistics: ipvs
    - Statistic of the memcached distributed caching system: memcached
901 902
    - Detailed Linux network interface and routing statistics: netlink (32bit
      systems only)
Sebastian Harl's avatar
Sebastian Harl committed
903
    - Nginx (a HTTP and E-Mail server/proxy) statistics: nginx
Sebastian Harl's avatar
Sebastian Harl committed
904
    - Values from SNMP enabled network devices: snmp
Sebastian Harl's avatar
Sebastian Harl committed
905
    - Number of TCP connections to specific ports: tcpconns
Sebastian Harl's avatar
Sebastian Harl committed
906
    - Bitrate and frequency of music played with XMMS: xmms
907
  * Updated init script to wait for collectd to shut down (Closes: #422208).
Sebastian Harl's avatar
Sebastian Harl committed
908 909 910
  * Merged all plugin packages into the collectd binary package.
  * Added README.Debian.plugins and gen_plugin_deps.pl to document the plugin
    dependencies.
Sebastian Harl's avatar
Sebastian Harl committed
911 912 913
  * Added collectd.overrides to override shlib-with-non-pic-code errors of
    plugins liked against static libraries which have not been linked with
    -fPIC.
914 915
  * Removed debian/examples/myplugin.c and debian/examples/MyPlugin.pm - they
    are included in the upstream sources now.
Sebastian Harl's avatar
Sebastian Harl committed
916 917
  * Added libcurl4-gnutls-dev as option to the libcurl3-gnutls-dev build
    dependency.
Sebastian Harl's avatar
Sebastian Harl committed
918

Sebastian Harl's avatar